<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <keyboard>

    <key n="68">
      <name>D</name>
      <desc>Bomb bay door</desc>
      <binding>
        <command>nasal</command>
        <script>doors.passenger.toggle();</script>
      </binding>
    </key>

    <key n="100">
      <name>d</name>
      <desc>Fuselage door</desc>
      <binding>
        <command>nasal</command>
        <script>doors.crew.toggle();</script>
      </binding>
    </key>

    <key n="2">
      <name>Ctrl-B</name>
      <desc>Release Bombs</desc>
      <binding>
        <command>property-assign</command>
        <property>controls/armament/trigger2</property>
        <value type="bool">true</value>
      </binding>
    </key>

    <key n="101">
      <name>e</name>
      <desc>Guns</desc>
      <binding>
        <command>property-assign</command>
        <property>controls/armament/trigger</property>
        <value type="bool">true</value>
      </binding>
      <mod-up>
        <binding>
          <command>property-assign</command>
          <property>controls/armament/trigger</property>
          <value type="bool">false</value>
        </binding>
      </mod-up>
    </key>

    <key n="102">
      <name>f</name>
      <desc>shift Blower down</desc>
      <binding>
        <command>property-adjust</command>
        <property>controls/engines/engine[0]/boost</property>
        <property>controls/engines/engine[1]/boost</property>
        <property>controls/engines/engine[2]/boost</property>
        <property>controls/engines/engine[3]/boost</property>
        <step type="double">-0.1</step>
        <min type="double">0.0</min>
        <max type="double">1.0</max>
      </binding>
    </key>

    <key n="70">
      <name>F</name>
      <desc>shift Blower up</desc>
      <binding>
        <command>property-adjust</command>
        <property>controls/engines/engine[0]/boost</property>
        <property>controls/engines/engine[1]/boost</property>
        <property>controls/engines/engine[2]/boost</property>
        <property>controls/engines/engine[3]/boost</property>
        <step type="double">0.1</step>
        <min type="double">0.0</min>
        <max type="double">1.0</max>
      </binding>
    </key>

    <key n="108">
      <name>l</name>
      <desc>Landing light</desc>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/landing-lights</property>
      </binding>
    </key>

    <key n="125">
      <name>}</name>
      <desc>Autostart/Autostop</desc>
      <binding>
        <command>property-toggle</command>
        <property>controls/electric/battery-switch</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/electric/engine/generator</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/instrument-lights</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/nav-lights</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/beacon</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/lighting/strobe</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/switches/starterkey-insert</property>
      </binding>
      <binding>
        <command>property-toggle</command>
        <property>controls/engines/engine[0]/fuel-pump</property>
      </binding>
      <!-- Magnetos ON -->
      <binding>
        <condition>
          <property>controls/switches/starterkey-insert</property>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[0]/magnetos</property>
        <value>3</value>
      </binding>
      <binding>
        <condition>
          <property>controls/switches/starterkey-insert</property>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[1]/magnetos</property>
        <value>3</value>
      </binding>
      <binding>
        <condition>
          <property>controls/switches/starterkey-insert</property>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[2]/magnetos</property>
        <value>3</value>
      </binding>
      <binding>
        <condition>
          <property>controls/switches/starterkey-insert</property>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[3]/magnetos</property>
        <value>3</value>
      </binding>
      <!-- Magnetos OFF -->
      <binding>
        <condition>
          <not><property>controls/switches/starterkey-insert</property></not>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[0]/magnetos</property>
        <value>0</value>
      </binding>
      <binding>
        <condition>
          <not><property>controls/switches/starterkey-insert</property></not>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[1]/magnetos</property>
        <value>0</value>
      </binding>
      <binding>
        <condition>
          <not><property>controls/switches/starterkey-insert</property></not>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[2]/magnetos</property>
        <value>0</value>
      </binding>
      <binding>
        <condition>
          <not><property>controls/switches/starterkey-insert</property></not>
        </condition>
        <command>property-assign</command>
        <property>controls/engines/engine[3]/magnetos</property>
        <value>0</value>
      </binding>
      <binding>
        <command>nasal</command>
        <script>engines.autostart();</script>
      </binding>
    </key>

  </keyboard>

</PropertyList>
